%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-pcre
Version:        8.0.2
Release:        %mkrel 1
Summary:        Perl compatibility regular expressions (PCRE) for OCaml
License:        LGPLv2 with linking exception
Group:          Development/OCaml
URL:            https://github.com/mmottl/pcre-ocaml
VCS:            git:%{url}.git
Source0:        %{url}/releases/download/%{version}/pcre-%{version}.tbz

BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  pkgconfig(libpcre)

%description
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. it can be used for matching
regular expressions which are written in "PERL"-style.
  
Searching for, replacing or splitting text should become much easier with
this library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       pkgconfig(libpcre)
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%autosetup -n pcre-%{version}

%build
%dune_build


%install
%dune_install


%check
%dune_check


%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md


%files devel -f .ofiles-devel


%changelog
* Thu Jun 19 2025 daviddavid <daviddavid> 8.0.2-1.mga10
+ Revision: 2192952
- new version: 8.0.2

* Fri Oct 21 2022 pterjan <pterjan> 7.5.0-1.mga9
+ Revision: 1898272
- Add missing BuildRequires
- Update to 7.5.0
- Use dune directly instead of make
- Enable tests

* Thu May 19 2022 pterjan <pterjan> 7.2.3-13.mga9
+ Revision: 1858907
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 7.2.3-12.mga9
+ Revision: 1832447
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 7.2.3-11.mga9
+ Revision: 1750750
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 7.2.3-10.mga9
+ Revision: 1697292
- rebuild for ocaml-4.2-12

* Wed Mar 03 2021 tv <tv> 7.2.3-9.mga9
+ Revision: 1696626
- rebuild for ocaml-4.2-12

* Fri Dec 25 2020 guillomovitch <guillomovitch> 7.2.3-8.mga8
+ Revision: 1663673
- rebuild for automatic dependencies

* Fri Feb 28 2020 umeabot <umeabot> 7.2.3-7.mga8
+ Revision: 1551366
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 7.2.3-6.mga8
+ Revision: 1543244
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 tv <tv> 7.2.3-5.mga8
+ Revision: 1481552
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 7.2.3-4.mga7
+ Revision: 1324105
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 tv <tv> 7.2.3-3.mga7
+ Revision: 1323956
- rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 7.2.3-2.mga7
+ Revision: 1299913
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 7.2.3-1.mga7
+ Revision: 1179330
- new release
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 7.1.5-2.mga6
+ Revision: 1056432
- Rebuild for fix in ocaml

* Fri Jan 29 2016 pterjan <pterjan> 7.1.5-1.mga6
+ Revision: 928692
- Update to 7.1.5

* Wed Oct 15 2014 umeabot <umeabot> 7.1.1-3.mga5
+ Revision: 745000
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.1.1-2.mga5
+ Revision: 683084
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 7.1.1-1.mga5
+ Revision: 673927
- sync files and drop upstreamed patches
- update to 7.1.1

* Sat Oct 19 2013 umeabot <umeabot> 7.0.2-9.mga4
+ Revision: 533876
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 7.0.2-8.mga4
+ Revision: 475745
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 7.0.2-7.mga3
+ Revision: 361562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 7.0.2-6.mga3
+ Revision: 323727
- rebuild for new pcre

* Wed Oct 17 2012 malo <malo> 7.0.2-5.mga3
+ Revision: 307708
- rebuild for ocaml-4.0.1;

* Mon Oct 01 2012 blue_prawn <blue_prawn> 7.0.2-4.mga3
+ Revision: 301406
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 7.0.2-2.mga3
+ Revision: 300164
- new rpm group for ocaml

* Wed Aug 22 2012 blue_prawn <blue_prawn> 7.0.2-1.mga3
+ Revision: 283027
- updated to last version 7.0.2
- spec clean-up

* Sat Jan 14 2012 malo <malo> 6.2.5-1.mga2
+ Revision: 195978
- new version 6.2.5
- removed substitution on META (upstream is now correct)

* Sat Dec 10 2011 malo <malo> 6.2.3-2.mga2
+ Revision: 180428
- missing Requires to pcre-devel

* Sat Dec 03 2011 malo <malo> 6.2.3-1.mga2
+ Revision: 175711
- spec clean-up
- fixing bytecode linking to pcre by always shipping libpcre_stubs.a
- new version 0.6.3

* Wed Oct 05 2011 shlomif <shlomif> 6.2.2-3.mga2
+ Revision: 152007
- Add a comment
- Avoid per cent-make to make the build non-parallel because there seems to be a problem in the package's build system
- New release to force rebuild for sources.
- New Release thanks to Malo.
+ fwang <fwang>
- rebuild for new ocaml

* Mon Mar 07 2011 saispo <saispo> 6.1.0-1.mga1
+ Revision: 66136
- imported package ocaml-pcre

